org.apache.solr.client.solrj.response

## Class RangeFacet<B,G>

- java.lang.Object
- - org.apache.solr.client.solrj.response.RangeFacet<B,G>

- Direct Known Subclasses:
    RangeFacet.Date, RangeFacet.Numeric

      public abstract class RangeFacet<B,G>
      extends Object

  Represents a range facet result

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RangeFacet.Count`
    `static class` | `RangeFacet.Date`
    `static class` | `RangeFacet.Numeric`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RangeFacet(String name, B start, B end, G gap, Number before, Number after, Number between)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCount(String value, int count)`
    `Number` | `getAfter()`
    `Number` | `getBefore()`
    `Number` | `getBetween()`
    `List<RangeFacet.Count>` | `getCounts()`
    `B` | `getEnd()`
    `G` | `getGap()`
    `String` | `getName()`
    `B` | `getStart()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeFacet

          protected RangeFacet(String name,
                               B start,
                               B end,
                               G gap,
                               Number before,
                               Number after,
                               Number between)

  - ### Method Detail

    - #### addCount

          public void addCount(String value,
                               int count)

    - #### getName

          public String getName()

    - #### getCounts

          public List<RangeFacet.Count> getCounts()

    - #### getStart

          public B getStart()

    - #### getEnd

          public B getEnd()

    - #### getGap

          public G getGap()

    - #### getBefore

          public Number getBefore()

    - #### getAfter

          public Number getAfter()

    - #### getBetween

          public Number getBetween()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.